package com.jiayue.insu.incloud.controller;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jiayue.insu.common.core.util.R;
import com.jiayue.insu.incloud.entity.Quartz;
import com.jiayue.insu.incloud.entity.QuartzBase;
import com.jiayue.insu.incloud.service.QuartzBaseService;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.*;


/**
 * QuartzController
 *
 * @author yh
 * @date 2022-03-18 15:48:48
 */
@RestController
@RequiredArgsConstructor
@RequestMapping("/quartzBase")
public class QuartzBaseController {

    private final QuartzBaseService quartzBaseService;

    /**
     * 分页查询
     *
     * @param page   分页对象
     * @param quartzBase quartzBase
     * @return
     */

    @GetMapping("/page")
    public R getStationPage(Page page, QuartzBase quartzBase) {
        return R.ok(quartzBaseService.page(page, Wrappers.query(quartzBase)));
    }

    @GetMapping("/all")
    public R getAll() {
        return R.ok(quartzBaseService.list());
    }

    /**
     * 通过执行类
     *
     * @param executeClass executeClass
     * @return R
     */
        @GetMapping("/executeClass/{executeClass}")
    public R getByExecuteClass(@PathVariable("executeClass") String  executeClass) {
        return R.ok(quartzBaseService.findByExecuteClass(executeClass));
    }


    /**
     * 新增quartzBase
     *
     * @param quartzBase quartzBase
     * @return R
     */

    @PostMapping
    public R save(@RequestBody  QuartzBase quartzBase) {
        return R.ok(quartzBaseService.save(quartzBase));
    }

    /**
     * 修改quartzBase
     *
     * @param quartzBase quartzBase
     * @return R
     */

    @PutMapping
    public R updateById(@RequestBody QuartzBase quartzBase) {
        return R.ok(quartzBaseService.updateById(quartzBase));
    }

    /**
     * 通过id删除
     *
     * @param id id
     * @return R
     */
    @DeleteMapping("/{id}")
    public R removeById(@PathVariable Integer id) {
        return R.ok(quartzBaseService.removeById(id));
    }


}
